oracle.jdbc.aq

## Class AQNotificationEvent

- java.lang.Object
- - java.util.EventObject
  - - oracle.jdbc.aq.AQNotificationEvent

All Implemented Interfaces:
  Serializable

    public abstract class AQNotificationEvent
    extends EventObject

An AQNotificationEvent will be created whenever a new message is enqueued in a queue for which you have registered your interest (see OracleConnection.registerAQNotification).

The AQNotificationEvent provides information about the new message that has been enqueued.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `AQNotificationEvent.AdditionalEventType`
`static class` `AQNotificationEvent.EventType`

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`protected` `AQNotificationEvent(Object source)`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract AQNotificationEvent.AdditionalEventType` `getAdditionalEventType()` Retrieve the additional event type.
`abstract String` `getConnectionInformation()` Retrieves a description of the TCP connection on which the notification was received.
`abstract String` `getConsumerName()` Retrieves the name of the consumer.
`abstract AQNotificationEvent.EventType` `getEventType()` Retrieve the event type.
`abstract byte[]` `getMessageId()` Retrieves the ID of the new message.
`abstract AQMessageProperties` `getMessageProperties()` Retrieves the properties of the new message.
`abstract byte[]` `getPayload()` Retrieves the payload of the new message.
`abstract String` `getQueueName()` Retrieves the name of the queue.
`abstract String` `getRegistration()` Retrieves the registration name which is the name that you provided when you registered for AQ notification with the `registerAQNotification` method.
`abstract String` `toString()`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AQNotificationEvent

    protected AQNotificationEvent(Object source)

### Method Detail

#### getMessageProperties

    public abstract AQMessageProperties getMessageProperties()
                                                      throws SQLException

Retrieves the properties of the new message.

Throws:
  `SQLException`

#### getRegistration

    public abstract String getRegistration()
                                    throws SQLException

Retrieves the registration name which is the name that you provided when you registered for AQ notification with the `registerAQNotification` method.

In the case of a single consumer queue, the registration name is the name of the queue whereas in the case of a multi-consumer queue, it's the name of the queue plus the name of the consumer ("SCOTT.MY_QUEUE:RECEIVER").

Throws:
  `SQLException`

#### getPayload

    public abstract byte[] getPayload()
                               throws SQLException

Retrieves the payload of the new message. Note that this feature only works with RAW queues and that it needs to be activated with the OracleConnection.NTF_AQ_PAYLOAD option during registration.

Throws:
  `SQLException`

#### getQueueName

    public abstract String getQueueName()
                                 throws SQLException

Retrieves the name of the queue.

Throws:
  `SQLException`

#### getMessageId

    public abstract byte[] getMessageId()
                                 throws SQLException

Retrieves the ID of the new message.

Throws:
  `SQLException`

#### getConsumerName

    public abstract String getConsumerName()
                                    throws SQLException

Retrieves the name of the consumer. In the case of a multi-consumer queue, this retrieves the name of the consumer upon which you register for AQ notification.

Throws:
  `SQLException`

#### getConnectionInformation

    public abstract String getConnectionInformation()

Retrieves a description of the TCP connection on which the notification was received.

#### getEventType

    public abstract AQNotificationEvent.EventType getEventType()

Retrieve the event type.

#### getAdditionalEventType

    public abstract AQNotificationEvent.AdditionalEventType getAdditionalEventType()

Retrieve the additional event type.

#### toString

    public abstract String toString()

Overrides:
  `toString` in class `EventObject`

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.